Bug 108955 - [CI][drmtip] igt@gem_exec_parallel@bsd-fds - fail - Failed assertion: map[i] == i
Summary: [CI][drmtip] igt@gem_exec_parallel@bsd-fds - fail - Failed assertion: map[i] ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 15:45 UTC by Lakshmi
Modified: 2019-02-19 08:47 UTC (History)
1 user (show)

See Also:
i915 platform: BSW/CHT
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2018-12-05 15:45:35 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_149/fi-bsw-n3050/igt@gem_exec_parallel@bsd-fds.html

Starting subtest: bsd-fds
(gem_exec_parallel:1084) CRITICAL: Test assertion failure function check_bo, file ../tests/i915/gem_exec_parallel.c:54:
(gem_exec_parallel:1084) CRITICAL: Failed assertion: map[i] == i
(gem_exec_parallel:1084) CRITICAL: error: 0 != 114
Subtest bsd-fds failed.
**** DEBUG ****
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_exec_parallel:1084) DEBUG: Verifying result (pass=0, handle=1)
(gem_exec_parallel:1084) CRITICAL: Test assertion failure function check_bo, file ../tests/i915/gem_exec_parallel.c:54:
(gem_exec_parallel:1084) CRITICAL: Failed assertion: map[i] == i
(gem_exec_parallel:1084) CRITICAL: error: 0 != 114
(gem_exec_parallel:1084) igt_core-INFO: Stack trace:
(gem_exec_parallel:1084) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(gem_exec_parallel:1084) igt_core-INFO:   #1 ../tests/i915/gem_exec_parallel.c:53 check_bo()
(gem_exec_parallel:1084) igt_core-INFO:   #2 ../tests/i915/gem_exec_parallel.c:221 all()
(gem_exec_parallel:1084) igt_core-INFO:   #3 ../tests/i915/gem_exec_parallel.c:255 __real_main228()
(gem_exec_parallel:1084) igt_core-INFO:   #4 ../tests/i915/gem_exec_parallel.c:228 main()
(gem_exec_parallel:1084) igt_core-INFO:   #5 ../csu/libc-start.c:344 __libc_start_main()
(gem_exec_parallel:1084) igt_core-INFO:   #6 [_start+0x2a]
****  END  ****
Subtest bsd-fds: FAIL (9.781s)
Comment 2 Chris Wilson 2019-01-15 17:54:10 UTC
With any luck

commit 8cd999181f8c744c87fb64e7b3600876ec3428b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jan 14 21:17:27 2019 +0000

    drm/i915: Prevent concurrent GGTT update and use on Braswell (again)
    
    On Braswell, under heavy stress, if we update the GGTT while
    simultaneously accessing another region inside the GTT, we are returned
    the wrong values. To prevent this we stop the machine to update the GGTT
    entries so that no memory traffic can occur at the same time.
    
    This was first spotted in
    
    commit 5bab6f60cb4d1417ad7c599166bcfec87529c1a2
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Fri Oct 23 18:43:32 2015 +0100
    
        drm/i915: Serialise updates to GGTT with access through GGTT on Braswell
    
    but removed again in forlorn hope with
    
    commit 4509276ee824bb967885c095c610767e42345c36
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Mon Feb 20 12:47:18 2017 +0000
    
        drm/i915: Remove Braswell GGTT update w/a
    
    However, gem_concurrent_blit is once again only stable with the patch
    applied and CI is detecting the odd failure in forked gem_mmap_gtt tests
    (which smell like the same issue). Fwiw, a wide variety of CPU memory
    barriers (around GGTT flushing, fence updates, PTE updates) and GPU
    flushes/invalidates (between requests, after PTE updates) were tried as
    part of the investigation to find an alternate cause, nothing comes
    close to serialised GGTT updates.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=105591
    Testcase: igt/gem_concurrent_blit
    Testcase: igt/gem_mmap_gtt/*forked*
    References: 5bab6f60cb4d ("drm/i915: Serialise updates to GGTT with access through GGTT on Braswell")
    References: 4509276ee824 ("drm/i915: Remove Braswell GGTT update w/a")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190114211729.30352-1-chris@chris-wilson.co.uk

+

commit e8894267cc3325901073e8adf0a63e2dc53b6242
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Dec 7 09:02:13 2018 +0000

    drm/i915: Pipeline PDP updates for Braswell
    
    Currently we face a severe problem on Braswell that manifests as invalid
    ppGTT accesses. The code tries to maintain the PDP (page directory
    pointers) inside the context in two ways, direct write into the context
    and a pipelined LRI update. The direct write into the context is
    fundamentally racy as it is unserialised with any access (read or write)
    the GPU is doing. By asserting that Braswell is not used with vGPU
    (currently an unsupported platform) we can eliminate the dangerous
    direct write into the context image and solely use the pipelined update.
    
    However, the LRI of the PDP fouls up the GPU, causing it to freeze and
    take out the machine with "forcewake ack timeouts". This seems possible
    to workaround by preventing the GPU from sleeping (via means of
    disabling the power-state management interface, i.e. forcing each ring
    to remain awake) around the update. Equally, it seems an EMIT_INVALIDATE
    before the LRI is sufficient to prevent the forcewake errors.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108656
    References: https://bugs.freedesktop.org/show_bug.cgi?id=108714
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20181207090213.14352-3-chris@chris-wilson.co.uk
Comment 3 Lakshmi 2019-02-19 08:41:53 UTC
This failure is not seen after the fix. Closing the bug.
Comment 4 CI Bug Log 2019-02-19 08:47:52 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.